<script setup lang="ts">
import type CarouselItem from '@/models/ProductCarouselItem'
import ProductCarouselItem from '@/components/ProductCarouselItem.vue'
import { Carousel, Slide, Navigation } from 'vue3-carousel'

defineProps<{
  title: string,
  label: string,
  items: CarouselItem[]
}>()
</script>
<template>
  <div class="axil-new-arrivals-product-area fullwidth-container bg-color-white axil-section-gap pb--0">
    <div class="container ml--xxl-0">
      <div class="product-area pb--50">
        <div class="section-title-wrapper">
          <span class="title-highlighter highlighter-primary"><i class="far fa-shopping-basket"></i> {{ label }}</span>
          <h2 class="title">{{ title }}</h2>
        </div>
        <div class="new-arrivals-product-activation slick-layout-wrapper--15 axil-slick-arrow  arrow-top-slide">
          <Carousel
              :items-to-show="4"
              :wrap-around="true"
              snap-align="start"
              class="new-arrivals-product-activation slick-layout-wrapper--15 axil-slick-arrow  arrow-top-slide"
          >
            <template #slides>
              <Slide v-for="item of items" :key="item.id">
                <ProductCarouselItem/>
              </Slide>
            </template>
            <template #addons>
              <div class="top-slide-navigation">
                <Navigation />
              </div>
            </template>
          </Carousel>
        </div>
      </div>
    </div>
  </div>
</template>